Debian Bug report logs - #418176
ntfs mount fails with "hal-storage-removable-mount-all-options refused uid 1000"

version graph

Package: hal; Maintainer for hal is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>; Source for hal is src:hal.

Reported by: Oliver <Oli1050@hallo.ms>

Date: Sat, 7 Apr 2007 16:45:01 UTC

Severity: normal

Merged with 427109

Found in versions hal/0.5.8.1-9, hal/0.5.9-3, hal/0.5.9.1-2

Fixed in versions hal/0.5.11-1, hal/0.5.8.1-9etch1

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Oli1050@hallo.ms, Sjoerd Simons <sjoerd@debian.org>:
Bug#418176; Package hal. Full text and rfc822 format available.

Acknowledgement sent to Oliver <Oli1050@hallo.ms>:
New Bug report received and forwarded. Copy sent to Oli1050@hallo.ms, Sjoerd Simons <sjoerd@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Oliver <Oli1050@hallo.ms>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ntfs mount fails with "hal-storage-removable-mount-all-options refused uid 1000"
Date: Sat, 07 Apr 2007 18:43:44 +0200
Package: hal
Version: 0.5.8.1-9
Severity: normal

Upon hotplug of usb flash with ntfs partition on KDE, the automatic mount fails with error message 
"hal-storage-removable-mount-all-options refused uid 1000".

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages hal depends on:
ii  adduser                   3.102          Add and remove users and groups
ii  dbus                      1.0.2-1        simple interprocess messaging syst
ii  libc6                     2.3.6.ds1-13   GNU C Library: Shared libraries
ii  libdbus-1-3               1.0.2-1        simple interprocess messaging syst
ii  libdbus-glib-1-2          0.71-3         simple interprocess messaging syst
ii  libexpat1                 1.95.8-3.4     XML parsing C library - runtime li
ii  libglib2.0-0              2.12.4-2       The GLib library of C routines
ii  libhal-storage1           0.5.8.1-9      Hardware Abstraction Layer - share
ii  libhal1                   0.5.8.1-9      Hardware Abstraction Layer - share
ii  libusb-0.1-4              2:0.1.12-5     userspace USB programming library
ii  libvolume-id0             0.105-4        libvolume_id shared library
ii  lsb-base                  3.1-23.1       Linux Standard Base 3.1 init scrip
ii  pciutils                  1:2.2.4~pre4-1 Linux PCI Utilities
ii  udev                      0.105-4        /dev/ and hotplug management daemo
ii  usbutils                  0.72-7         USB console utilities

Versions of packages hal recommends:
ii  eject                         2.1.4-3    ejects CDs and operates CD-Changer

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Sjoerd Simons <sjoerd@debian.org>:
Bug#418176; Package hal. Full text and rfc822 format available.

Acknowledgement sent to Laurent Grawet <debian-bugs@grawet.be>:
Extra info received and forwarded to list. Copy sent to Sjoerd Simons <sjoerd@debian.org>. Full text and rfc822 format available.

Message #10 received at 418176@bugs.debian.org (full text, mbox):

From: Laurent Grawet <debian-bugs@grawet.be>
To: Debian Bug Tracking System <418176@bugs.debian.org>
Subject: hal: #418176 confirmed
Date: Fri, 13 Jul 2007 19:48:28 +0200
Package: hal
Version: 0.5.8.1-9
Followup-For: Bug #418176

Hello,

I confirm this behaviour. This is a really annoying bug.

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-k7
Locale: LANG=fr_BE.UTF-8, LC_CTYPE=fr_BE.UTF-8 (charmap=UTF-8)

Versions of packages hal depends on:
ii  adduser                   3.102          Add and remove users and groups
ii  dbus                      1.0.2-1        simple interprocess messaging syst
ii  libc6                     2.3.6.ds1-13   GNU C Library: Shared libraries
ii  libdbus-1-3               1.0.2-1        simple interprocess messaging syst
ii  libdbus-glib-1-2          0.71-3         simple interprocess messaging syst
ii  libexpat1                 1.95.8-3.4     XML parsing C library - runtime li
ii  libglib2.0-0              2.12.4-2       The GLib library of C routines
ii  libhal-storage1           0.5.8.1-9      Hardware Abstraction Layer - share
ii  libhal1                   0.5.8.1-9      Hardware Abstraction Layer - share
ii  libusb-0.1-4              2:0.1.12-5     userspace USB programming library
ii  libvolume-id0             0.105-4        libvolume_id shared library
ii  lsb-base                  3.1-23.1       Linux Standard Base 3.1 init scrip
ii  pciutils                  1:2.2.4~pre4-1 Linux PCI Utilities
ii  udev                      0.105-4        /dev/ and hotplug management daemo
ii  usbutils                  0.72-7         USB console utilities

Versions of packages hal recommends:
ii  eject                         2.1.4-3    ejects CDs and operates CD-Changer

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Sjoerd Simons <sjoerd@debian.org>:
Bug#418176; Package hal. Full text and rfc822 format available.

Acknowledgement sent to Laurent Grawet <debian-bugs@grawet.be>:
Extra info received and forwarded to list. Copy sent to Sjoerd Simons <sjoerd@debian.org>. Full text and rfc822 format available.

Message #15 received at 418176@bugs.debian.org (full text, mbox):

From: Laurent Grawet <debian-bugs@grawet.be>
To: Debian Bug Tracking System <418176@bugs.debian.org>
Subject: #418176 also present in hal-0.5.9.1-2
Date: Fri, 13 Jul 2007 20:18:38 +0200
Package: hal
Version: 0.5.9.1-2
Followup-For: Bug #418176

Hi,

I've just tested the latest version and bug is still present.

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-k7
Locale: LANG=fr_BE.UTF-8, LC_CTYPE=fr_BE.UTF-8 (charmap=UTF-8)

Versions of packages hal depends on:
ii  adduser                   3.102          Add and remove users and groups
ii  dbus                      1.0.2-1        simple interprocess messaging syst
ii  hal-info                  20070618-1     Hardware Abstraction Layer - fdi f
ii  libc6                     2.3.6.ds1-13   GNU C Library: Shared libraries
ii  libdbus-1-3               1.0.2-1        simple interprocess messaging syst
ii  libdbus-glib-1-2          0.71-3         simple interprocess messaging syst
ii  libexpat1                 1.95.8-3.4     XML parsing C library - runtime li
ii  libglib2.0-0              2.12.4-2       The GLib library of C routines
ii  libhal-storage1           0.5.9.1-2      Hardware Abstraction Layer - share
ii  libhal1                   0.5.9.1-2      Hardware Abstraction Layer - share
ii  libusb-0.1-4              2:0.1.12-5     userspace USB programming library
ii  libvolume-id0             0.105-4        libvolume_id shared library
ii  lsb-base                  3.1-23.1       Linux Standard Base 3.1 init scrip
ii  pciutils                  1:2.2.4~pre4-1 Linux PCI Utilities
ii  udev                      0.105-4        /dev/ and hotplug management daemo
ii  usbutils                  0.72-7         USB console utilities

Versions of packages hal recommends:
ii  eject                         2.1.4-3    ejects CDs and operates CD-Changer

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Sjoerd Simons <sjoerd@debian.org>:
Bug#418176; Package hal. Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Sjoerd Simons <sjoerd@debian.org>. Full text and rfc822 format available.

Message #20 received at 418176@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Laurent Grawet <debian-bugs@grawet.be>, 418176@bugs.debian.org
Subject: Re: Bug#418176: hal: #418176 confirmed
Date: Fri, 13 Jul 2007 23:28:24 +0200
[Message part 1 (text/plain, inline)]
Laurent Grawet wrote:
> Package: hal
> Version: 0.5.8.1-9
> Followup-For: Bug #418176
> 
> Hello,
> 
> I confirm this behaviour. This is a really annoying bug.
> 

Are you using the ntfs or the ntfs-3g driver?

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sjoerd Simons <sjoerd@debian.org>:
Bug#418176; Package hal. Full text and rfc822 format available.

Acknowledgement sent to Laurent Grawet <debian-bugs@grawet.be>:
Extra info received and forwarded to list. Copy sent to Sjoerd Simons <sjoerd@debian.org>. Full text and rfc822 format available.

Message #25 received at 418176@bugs.debian.org (full text, mbox):

From: Laurent Grawet <debian-bugs@grawet.be>
To: Michael Biebl <biebl@debian.org>
Cc: 418176@bugs.debian.org
Subject: Re: Bug#418176: hal: #418176 confirmed
Date: Fri, 13 Jul 2007 23:47:52 +0200
Hi,

On 13/07/07 23:28, Michael Biebl wrote:
> Laurent Grawet wrote:
>> Package: hal
>> Version: 0.5.8.1-9
>> Followup-For: Bug #418176
>>
>> Hello,
>>
>> I confirm this behaviour. This is a really annoying bug.
>>
> 
> Are you using the ntfs or the ntfs-3g driver?
> 
> Michael
> 
> 

The current behavior of HAL is to use the ntfs driver so this is the one
I used first. I also tried to use ntfs-3g thanks to rules I took from
Ubuntu, without much success.

Note this brings out another problem: there is no way to easily tell HAL
to use ntfs-3g instead of ntfs with current packaging.

pmount is also unable to handle this (a patched version also exists for
ubuntu). You will find in attachment the rules I used with HAL for
ntfs-3g (for information).

Best regards,

Laurent



Information forwarded to debian-bugs-dist@lists.debian.org, Sjoerd Simons <sjoerd@debian.org>:
Bug#418176; Package hal. Full text and rfc822 format available.

Acknowledgement sent to Laurent Grawet <debian-bugs@grawet.be>:
Extra info received and forwarded to list. Copy sent to Sjoerd Simons <sjoerd@debian.org>. Full text and rfc822 format available.

Message #30 received at 418176@bugs.debian.org (full text, mbox):

From: Laurent Grawet <debian-bugs@grawet.be>
To: Michael Biebl <biebl@debian.org>
Cc: 418176@bugs.debian.org
Subject: Re: Bug#418176: hal: #418176 confirmed
Date: Fri, 13 Jul 2007 23:51:36 +0200
[Message part 1 (text/plain, inline)]
On 13/07/07 23:28, Michael Biebl wrote:
> Laurent Grawet wrote:
>> Package: hal
>> Version: 0.5.8.1-9
>> Followup-For: Bug #418176
>>
>> Hello,
>>
>> I confirm this behaviour. This is a really annoying bug.
>>
> 
> Are you using the ntfs or the ntfs-3g driver?
> 
> Michael
> 
> 

Sorry, I forgot to attach the file...
Here it is.
[15-ntfs-policy.fdi (text/xml, inline)]
<?xml version="1.0" encoding="UTF-8"?> <!-- -*- SGML -*- -->

<deviceinfo version="0.2">

<!-- mount ntfs volume with the ntfs-3g driver. If you want to change this policy to 
use the read only ntfs driver for default instead, just replace ntfs-3g by ntfs -->

	<device>

  	<match key="volume.fstype" string="ntfs">
    	<merge key="volume.policy.mount_filesystem" type="string">ntfs-3g</merge>
		</match>

	</device>


<!-- if ntfs-3g, we need some special option (don't touch this policy if you change
the default policy to ntfs above. In any way, **don't touch this policy**)-->

	<device>

  	<match key="volume.fstype" string="ntfs-3g">
    	<append key="volume.mount.valid_options" type="strlist">nonempty</append>
    	<merge key="storage.policy.mount_option.nonempty" type="bool">true</merge>
    	<merge key="volume.policy.mount_option.nonempty" type="bool">true</merge>
   	</match>

	</device>

</deviceinfo>

Information forwarded to debian-bugs-dist@lists.debian.org, Sjoerd Simons <sjoerd@debian.org>:
Bug#418176; Package hal. Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Sjoerd Simons <sjoerd@debian.org>. Full text and rfc822 format available.

Message #35 received at 418176@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Laurent Grawet <debian-bugs@grawet.be>, 418176@bugs.debian.org
Subject: Re: Bug#418176: hal: #418176 confirmed
Date: Sat, 14 Jul 2007 00:15:23 +0200
[Message part 1 (text/plain, inline)]
Laurent Grawet wrote:
> Hi,
> 
> On 13/07/07 23:28, Michael Biebl wrote:
>> Laurent Grawet wrote:
>>> Package: hal
>>> Version: 0.5.8.1-9
>>> Followup-For: Bug #418176
>>>
>>> Hello,
>>>
>>> I confirm this behaviour. This is a really annoying bug.
>>>
>> Are you using the ntfs or the ntfs-3g driver?
>>
>> Michael
>>
>>
> 
> The current behavior of HAL is to use the ntfs driver so this is the one
> I used first. I also tried to use ntfs-3g thanks to rules I took from
> Ubuntu, without much success.
> 
> Note this brings out another problem: there is no way to easily tell HAL
> to use ntfs-3g instead of ntfs with current packaging.
> 
> pmount is also unable to handle this (a patched version also exists for
> ubuntu). You will find in attachment the rules I used with HAL for
> ntfs-3g (for information).

Just to be sure: The problem you are encountering, is that for local or
removable devices? If the former, it is an expected behaviour as we
currently only allow users to mount non-removable devices if they are
defined in /etc/fstab and marked with the "user" option.

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sjoerd Simons <sjoerd@debian.org>:
Bug#418176; Package hal. Full text and rfc822 format available.

Acknowledgement sent to Laurent Grawet <debian-bugs@grawet.be>:
Extra info received and forwarded to list. Copy sent to Sjoerd Simons <sjoerd@debian.org>. Full text and rfc822 format available.

Message #40 received at 418176@bugs.debian.org (full text, mbox):

From: Laurent Grawet <debian-bugs@grawet.be>
To: Michael Biebl <biebl@debian.org>
Cc: 418176@bugs.debian.org
Subject: Re: Bug#418176: hal: #418176 confirmed
Date: Sat, 14 Jul 2007 00:25:42 +0200
On 14/07/07 00:15, Michael Biebl wrote:
> Laurent Grawet wrote:
>> Hi,
>>
>> On 13/07/07 23:28, Michael Biebl wrote:
>>> Laurent Grawet wrote:
>>>> Package: hal
>>>> Version: 0.5.8.1-9
>>>> Followup-For: Bug #418176
>>>>
>>>> Hello,
>>>>
>>>> I confirm this behaviour. This is a really annoying bug.
>>>>
>>> Are you using the ntfs or the ntfs-3g driver?
>>>
>>> Michael
>>>
>>>
>> The current behavior of HAL is to use the ntfs driver so this is the one
>> I used first. I also tried to use ntfs-3g thanks to rules I took from
>> Ubuntu, without much success.
>>
>> Note this brings out another problem: there is no way to easily tell HAL
>> to use ntfs-3g instead of ntfs with current packaging.
>>
>> pmount is also unable to handle this (a patched version also exists for
>> ubuntu). You will find in attachment the rules I used with HAL for
>> ntfs-3g (for information).
> 
> Just to be sure: The problem you are encountering, is that for local or
> removable devices? If the former, it is an expected behaviour as we
> currently only allow users to mount non-removable devices if they are
> defined in /etc/fstab and marked with the "user" option.

External USB2 hard drive.

Laurent



Information forwarded to debian-bugs-dist@lists.debian.org, Sjoerd Simons <sjoerd@debian.org>:
Bug#418176; Package hal. Full text and rfc822 format available.

Acknowledgement sent to CSights <csights@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to Sjoerd Simons <sjoerd@debian.org>. Full text and rfc822 format available.

Message #45 received at 418176@bugs.debian.org (full text, mbox):

From: CSights <csights@fastmail.fm>
To: 418176@bugs.debian.org
Subject: merge with bug 427109?
Date: Sun, 12 Aug 2007 12:02:04 -0400
Package: hal
Version: 0.5.9.1-2

This bug appears very similar to bug #427109 "hal: refuses uid and gid option 
for ntfs and ntfs-3g".


--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.22.2

Debian Release: lenny/sid
  990 testing         security.debian.org 
  990 testing         ftp.uwsg.indiana.edu 
  980 testing         ftp.sunet.se 
   50 unstable        ftp.egr.msu.edu 
   25 feisty          us.archive.ubuntu.com 
   25 edgy            us.archive.ubuntu.com 

--- Package information. ---
Depends                        (Version) | Installed
========================================-+-====================
libc6                         (>= 2.5-5) | 2.6-2
libdbus-1-3                   (>= 1.1.1) | 1.1.1-3
libdbus-glib-1-2               (>= 0.73) | 0.74-1
libexpat1                    (>= 1.95.8) | 1.95.8-4
libgcc1              (>= 1:4.2-20070516) | 1:4.2-20070712-1
libglib2.0-0                 (>= 2.12.9) | 2.12.13-1
libhal-storage1                          | 0.5.9.1-2
libhal1                         (>= 0.5) | 0.5.9.1-2
libsmbios1                               | 0.13.6-1
libstdc++6             (>= 4.2-20070516) | 4.2-20070712-1
libusb-0.1-4               (>= 2:0.1.12) | 2:0.1.12-7
libvolume-id0               (>= 0.103-1) | 0.105-4
adduser                                  | 3.104
pciutils                                 | 1:2.2.4-1
usbutils                                 | 0.72-8
udev                          (>= 0.065) | 0.105-4
dbus                         (>= 0.60-1) | 1.1.1-3
lsb-base                                 | 3.1-24
hal-info                   (>= 20070402) | 20070618-1




Merged 418176 427109. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Thu, 16 Aug 2007 07:39:02 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Oliver <Oli1050@hallo.ms>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #52 received at 418176-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 418176-close@bugs.debian.org
Subject: Bug#418176: fixed in hal 0.5.11-1
Date: Thu, 08 May 2008 12:02:05 +0000
Source: hal
Source-Version: 0.5.11-1

We believe that the bug you reported is fixed in the latest version of
hal, which is due to be installed in the Debian FTP archive:

hal-doc_0.5.11-1_all.deb
  to pool/main/h/hal/hal-doc_0.5.11-1_all.deb
hal_0.5.11-1.diff.gz
  to pool/main/h/hal/hal_0.5.11-1.diff.gz
hal_0.5.11-1.dsc
  to pool/main/h/hal/hal_0.5.11-1.dsc
hal_0.5.11-1_i386.deb
  to pool/main/h/hal/hal_0.5.11-1_i386.deb
hal_0.5.11.orig.tar.gz
  to pool/main/h/hal/hal_0.5.11.orig.tar.gz
libhal-dev_0.5.11-1_i386.deb
  to pool/main/h/hal/libhal-dev_0.5.11-1_i386.deb
libhal-storage-dev_0.5.11-1_i386.deb
  to pool/main/h/hal/libhal-storage-dev_0.5.11-1_i386.deb
libhal-storage1_0.5.11-1_i386.deb
  to pool/main/h/hal/libhal-storage1_0.5.11-1_i386.deb
libhal1_0.5.11-1_i386.deb
  to pool/main/h/hal/libhal1_0.5.11-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 418176@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated hal package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 08 May 2008 13:36:20 +0200
Source: hal
Binary: hal hal-doc libhal1 libhal-storage1 libhal-dev libhal-storage-dev
Architecture: source all i386
Version: 0.5.11-1
Distribution: unstable
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 hal        - Hardware Abstraction Layer
 hal-doc    - Hardware Abstraction Layer - documentation
 libhal-dev - Hardware Abstraction Layer - development files
 libhal-storage-dev - Hardware Abstraction Layer - development files
 libhal-storage1 - Hardware Abstraction Layer - shared library for storage devices
 libhal1    - Hardware Abstraction Layer - shared library
Closes: 418176 427109 473592
Changes: 
 hal (0.5.11-1) unstable; urgency=low
 .
   * New upstream release.
     - Fixes spec regarding ALSA PCM class. (Closes: #473592)
   * debian/shlibs.local
     - This file has been obsoleted by the symbols files and is outdated so
       better remove it.
   * debian/patches/01_hal_debian_dbuspolicy.patch
     - Updated.
   * debian/patches/10_ntfs_uid_mount.patch
     - Allow uid/gid mount option for ntfs. (Closes: #418176, #427109)
Checksums-Sha1: 
 92f8997b8274278ff0869ce567b064ac32b6f1ec 1596 hal_0.5.11-1.dsc
 f51366229e5dd6d5d72d60114fdef76bf5feba26 1672992 hal_0.5.11.orig.tar.gz
 0954e296328c8831c528b4a73d8a2866ecfd2977 32323 hal_0.5.11-1.diff.gz
 c37fdeadd8382767202c842484d9f28aeca1a9bc 669950 hal-doc_0.5.11-1_all.deb
 6bc3f5360959b922ab141da1a8495f7810994d0e 763244 hal_0.5.11-1_i386.deb
 14f22cd58a7fc5c1f211eadf7d93d32de0720898 442928 libhal1_0.5.11-1_i386.deb
 15325f71402faccad7a4c60621c9205d857c23d1 435000 libhal-storage1_0.5.11-1_i386.deb
 1985485523918e2704e1a1281cc643144df30891 448292 libhal-dev_0.5.11-1_i386.deb
 622c643e6f763b07ee167ddfb6c1b085e0f1dd76 435296 libhal-storage-dev_0.5.11-1_i386.deb
Checksums-Sha256: 
 59ece42694104d0ae2adc3008a88deae566655c47c6ce247682c5e29eaae9492 1596 hal_0.5.11-1.dsc
 730a9f2340f789677eb0c3b0984bbaca3ede6c12d1e4b16bc7ea91f51d10ba90 1672992 hal_0.5.11.orig.tar.gz
 04f4d2890bc687d4e094068fe61bd936054dfb6b44aab448664dcc3cc8f232e3 32323 hal_0.5.11-1.diff.gz
 bd0afecd09430bf6428f80c1fb3ce1daccc4fa2e2145295d9820bdf240c2e241 669950 hal-doc_0.5.11-1_all.deb
 48998afe01360e2a3730cea245277554255ce0d03a0d88e4cb68d35f099eb3b8 763244 hal_0.5.11-1_i386.deb
 3cc8e9be232820aca7a5e97486dd94f6595088ba3a9ee86899d83f2a89b0d511 442928 libhal1_0.5.11-1_i386.deb
 e719e3b0911674b7a799f4642b2ae64efca7c030dfe048ac0460b4094500c8f4 435000 libhal-storage1_0.5.11-1_i386.deb
 7ef1a0f963446bbe109a8ee944f688f638d592a27901fdff141629cdc8ea82f4 448292 libhal-dev_0.5.11-1_i386.deb
 3abae81db454fd5f28de122b36ac7402c166513dfa87afe5771641d73f0945b8 435296 libhal-storage-dev_0.5.11-1_i386.deb
Files: 
 db298a2d16a7254770cf1a2494e6318f 1596 admin optional hal_0.5.11-1.dsc
 750cf074e88b6fb7012f26d99cd39b9b 1672992 admin optional hal_0.5.11.orig.tar.gz
 d1f7a72c5bb6c7e8aa11fc2ea36ce436 32323 admin optional hal_0.5.11-1.diff.gz
 41ba3a8214a98e5e88d4dd9129332068 669950 doc optional hal-doc_0.5.11-1_all.deb
 5805ac6713ad1e896f14635b8e230c05 763244 admin optional hal_0.5.11-1_i386.deb
 9a25727e757ab7da570b4af2eebc8032 442928 libs optional libhal1_0.5.11-1_i386.deb
 e9caa553c3fe9550a2f8e83ca1e537d4 435000 libs optional libhal-storage1_0.5.11-1_i386.deb
 78bb36eee43b07bd2587a79e86bc743a 448292 libdevel optional libhal-dev_0.5.11-1_i386.deb
 acffc6f7cebb600774d0f80271e838ce 435296 libdevel optional libhal-storage-dev_0.5.11-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIIub9h7PER70FhVQRAvXTAKDIego81H14viW0Yg7GHIPUwRPWkACdFhcL
2mIVh4bGBsKKYYROCq/2tJw=
=mRwF
-----END PGP SIGNATURE-----





Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lieven Marchand <mal@wyrd.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#418176; Package hal. Full text and rfc822 format available.

Acknowledgement sent to dawnlight@lavabit.com:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #62 received at 418176@bugs.debian.org (full text, mbox):

From: Dawn Light <dawnlight@lavabit.com>
To: 418176@bugs.debian.org
Subject: Looking to get this fixed in the next etch release
Date: Sun, 11 May 2008 17:31:27 +0300
I would very much like to see this solved in the next etch release. What can 
be done for this purpose?

The severity of this is in that etch users can't mount ntfs with KDE/HAL. I 
don't know about other desktop environments.

I am trying to find out whether the etch hal can be neatly patched to fix this 
bug. Is this plausable?

-- 
Shachar Or | שחר אור
http://ox.freeallweb.org/





Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#418176; Package hal. Full text and rfc822 format available.

Acknowledgement sent to dawnlight@lavabit.com:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #67 received at 418176@bugs.debian.org (full text, mbox):

From: Dawn Light <dawnlight@lavabit.com>
To: 418176@bugs.debian.org
Subject: Next point release?
Date: Fri, 30 May 2008 08:55:31 +0300
Under guidance from #hal and #debian, I've copied the 
debian/patches/10_ntfs_uid_mount.patch from 0.5.11 to the etch 0.5.8 and it 
fixed the bug.

Can this fix find it's way into r4?
-- 
Shachar Or | שחר אור
http://ox.freeallweb.org/





Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#418176; Package hal. Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #72 received at 418176@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: dawnlight@lavabit.com, 418176@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#418176: Next point release?
Date: Fri, 30 May 2008 08:20:36 +0200
[Message part 1 (text/plain, inline)]
Dawn Light wrote:
> Under guidance from #hal and #debian, I've copied the 
> debian/patches/10_ntfs_uid_mount.patch from 0.5.11 to the etch 0.5.8 and it 
> fixed the bug.
> 
> Can this fix find it's way into r4?

Hi,

as I told you on IRC, you have to convince the release managers, not us.

Please contact them on the debian-release mailing list.

Cheers,
Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Oliver <Oli1050@hallo.ms>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #77 received at 418176-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 418176-close@bugs.debian.org
Subject: Bug#418176: fixed in hal 0.5.8.1-9etch1
Date: Sat, 21 Jun 2008 19:52:17 +0000
Source: hal
Source-Version: 0.5.8.1-9etch1

We believe that the bug you reported is fixed in the latest version of
hal, which is due to be installed in the Debian FTP archive:

hal-device-manager_0.5.8.1-9etch1_all.deb
  to pool/main/h/hal/hal-device-manager_0.5.8.1-9etch1_all.deb
hal-doc_0.5.8.1-9etch1_all.deb
  to pool/main/h/hal/hal-doc_0.5.8.1-9etch1_all.deb
hal_0.5.8.1-9etch1.diff.gz
  to pool/main/h/hal/hal_0.5.8.1-9etch1.diff.gz
hal_0.5.8.1-9etch1.dsc
  to pool/main/h/hal/hal_0.5.8.1-9etch1.dsc
hal_0.5.8.1-9etch1_i386.deb
  to pool/main/h/hal/hal_0.5.8.1-9etch1_i386.deb
libhal-dev_0.5.8.1-9etch1_i386.deb
  to pool/main/h/hal/libhal-dev_0.5.8.1-9etch1_i386.deb
libhal-storage-dev_0.5.8.1-9etch1_i386.deb
  to pool/main/h/hal/libhal-storage-dev_0.5.8.1-9etch1_i386.deb
libhal-storage1_0.5.8.1-9etch1_i386.deb
  to pool/main/h/hal/libhal-storage1_0.5.8.1-9etch1_i386.deb
libhal1_0.5.8.1-9etch1_i386.deb
  to pool/main/h/hal/libhal1_0.5.8.1-9etch1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 418176@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated hal package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 20 Jun 2008 08:01:26 +0200
Source: hal
Binary: libhal-dev libhal-storage1 hal-doc libhal-storage-dev hal libhal1 hal-device-manager
Architecture: source i386 all
Version: 0.5.8.1-9etch1
Distribution: stable
Urgency: low
Maintainer: Sjoerd Simons <sjoerd@debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 hal        - Hardware Abstraction Layer
 hal-device-manager - Hardware Abstraction Layer user interface
 hal-doc    - Hardware Abstraction Layer - documentation
 libhal-dev - Hardware Abstraction Layer - development files
 libhal-storage-dev - Hardware Abstraction Layer - development files
 libhal-storage1 - Hardware Abstraction Layer - shared library for storage devices
 libhal1    - Hardware Abstraction Layer - shared library
Closes: 418176 427109
Changes: 
 hal (0.5.8.1-9etch1) stable; urgency=low
 .
   * debian/patches/10_ntfs_uid_mount.patch
     - Allow uid/gid mount option for ntfs. (Closes: #418176, #427109)
Files: 
 e461ccdac32a948f5c8f05c9f829e232 1194 admin optional hal_0.5.8.1-9etch1.dsc
 0ce009f1b0b4bee3c66ba06751126256 37178 admin optional hal_0.5.8.1-9etch1.diff.gz
 959a253334bd851187ba5099583b3c09 314340 admin optional hal-device-manager_0.5.8.1-9etch1_all.deb
 bd2bad2f7609b0ebe040ebdbbbd364e1 851168 doc optional hal-doc_0.5.8.1-9etch1_all.deb
 deb99e0ce745d783d28a66f67d400a14 525518 admin optional hal_0.5.8.1-9etch1_i386.deb
 ddd117d06926b75fd051323ecf8e1b78 270248 libs optional libhal1_0.5.8.1-9etch1_i386.deb
 c0bd3d46b53b4543845dd1324b501b4f 270302 libs optional libhal-storage1_0.5.8.1-9etch1_i386.deb
 8f029f9942ea9bbfaf9fb6f7a10f98ed 274328 libdevel optional libhal-dev_0.5.8.1-9etch1_i386.deb
 6e33f0629ba02c67a19f4afeb0b924bb 272482 libdevel optional libhal-storage-dev_0.5.8.1-9etch1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkhbTyEACgkQh7PER70FhVTtwwCfZz6MQ1wNteFmyvpbfY19E0My
clkAnAumE+p/7ahYpu+aWydCOoGlyNR5
=DpYB
-----END PGP SIGNATURE-----





Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lieven Marchand <mal@wyrd.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Oliver <Oli1050@hallo.ms>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #87 received at 418176-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 418176-close@bugs.debian.org
Subject: Bug#418176: fixed in hal 0.5.8.1-9etch1
Date: Sat, 26 Jul 2008 09:40:37 +0000
Source: hal
Source-Version: 0.5.8.1-9etch1

We believe that the bug you reported is fixed in the latest version of
hal, which is due to be installed in the Debian FTP archive:

hal-device-manager_0.5.8.1-9etch1_all.deb
  to pool/main/h/hal/hal-device-manager_0.5.8.1-9etch1_all.deb
hal-doc_0.5.8.1-9etch1_all.deb
  to pool/main/h/hal/hal-doc_0.5.8.1-9etch1_all.deb
hal_0.5.8.1-9etch1.diff.gz
  to pool/main/h/hal/hal_0.5.8.1-9etch1.diff.gz
hal_0.5.8.1-9etch1.dsc
  to pool/main/h/hal/hal_0.5.8.1-9etch1.dsc
hal_0.5.8.1-9etch1_i386.deb
  to pool/main/h/hal/hal_0.5.8.1-9etch1_i386.deb
libhal-dev_0.5.8.1-9etch1_i386.deb
  to pool/main/h/hal/libhal-dev_0.5.8.1-9etch1_i386.deb
libhal-storage-dev_0.5.8.1-9etch1_i386.deb
  to pool/main/h/hal/libhal-storage-dev_0.5.8.1-9etch1_i386.deb
libhal-storage1_0.5.8.1-9etch1_i386.deb
  to pool/main/h/hal/libhal-storage1_0.5.8.1-9etch1_i386.deb
libhal1_0.5.8.1-9etch1_i386.deb
  to pool/main/h/hal/libhal1_0.5.8.1-9etch1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 418176@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated hal package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 20 Jun 2008 08:01:26 +0200
Source: hal
Binary: libhal-dev libhal-storage1 hal-doc libhal-storage-dev hal libhal1 hal-device-manager
Architecture: source i386 all
Version: 0.5.8.1-9etch1
Distribution: stable
Urgency: low
Maintainer: Sjoerd Simons <sjoerd@debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 hal        - Hardware Abstraction Layer
 hal-device-manager - Hardware Abstraction Layer user interface
 hal-doc    - Hardware Abstraction Layer - documentation
 libhal-dev - Hardware Abstraction Layer - development files
 libhal-storage-dev - Hardware Abstraction Layer - development files
 libhal-storage1 - Hardware Abstraction Layer - shared library for storage devices
 libhal1    - Hardware Abstraction Layer - shared library
Closes: 418176 427109
Changes: 
 hal (0.5.8.1-9etch1) stable; urgency=low
 .
   * debian/patches/10_ntfs_uid_mount.patch
     - Allow uid/gid mount option for ntfs. (Closes: #418176, #427109)
Files: 
 e461ccdac32a948f5c8f05c9f829e232 1194 admin optional hal_0.5.8.1-9etch1.dsc
 0ce009f1b0b4bee3c66ba06751126256 37178 admin optional hal_0.5.8.1-9etch1.diff.gz
 959a253334bd851187ba5099583b3c09 314340 admin optional hal-device-manager_0.5.8.1-9etch1_all.deb
 bd2bad2f7609b0ebe040ebdbbbd364e1 851168 doc optional hal-doc_0.5.8.1-9etch1_all.deb
 deb99e0ce745d783d28a66f67d400a14 525518 admin optional hal_0.5.8.1-9etch1_i386.deb
 ddd117d06926b75fd051323ecf8e1b78 270248 libs optional libhal1_0.5.8.1-9etch1_i386.deb
 c0bd3d46b53b4543845dd1324b501b4f 270302 libs optional libhal-storage1_0.5.8.1-9etch1_i386.deb
 8f029f9942ea9bbfaf9fb6f7a10f98ed 274328 libdevel optional libhal-dev_0.5.8.1-9etch1_i386.deb
 6e33f0629ba02c67a19f4afeb0b924bb 272482 libdevel optional libhal-storage-dev_0.5.8.1-9etch1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkhbTyEACgkQh7PER70FhVTtwwCfZz6MQ1wNteFmyvpbfY19E0My
clkAnAumE+p/7ahYpu+aWydCOoGlyNR5
=DpYB
-----END PGP SIGNATURE-----





Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lieven Marchand <mal@wyrd.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Nov 2009 07:31:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:32:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.